Text.Appar.String

# Documentation

## Parser type

type Parser

## Running parser

parse

## `Char` parsers

char

anyChar

oneOf

noneOf

alphaNum

digit

hexDigit

space

## `String` parser

string

## Parser combinators

try

choice

option

skipMany

skipSome

sepBy1

manyTill

## `Applicative` parser combinators

(<$>)

(<$)

(<*>)

(*>)

(<*)

(<**>)

(<|>)

some

many

pure

## Internals

data MkParser inp a

class Input inp

satisfy